Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.support
Class ProgressBarTestCaseAdapter.InternalTestRunListener

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.support.ProgressBarTestCaseAdapter.InternalTestRunListener

All Implemented Interfaces:
  TestRunListener

Enclosing class:
  ProgressBarTestCaseAdapter

    public class ProgressBarTestCaseAdapter.InternalTestRunListener

extends java.lang.Object
implements TestRunListener

Constructor Summary
`ProgressBarTestCaseAdapter.InternalTestRunListener()`

Method Summary
`void` | `afterRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `afterStep(TestRunner testRunner, TestRunContext runContext, TestStepResult result)`
`void` | `beforeRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `beforeStep(TestRunner testRunner, TestRunContext runContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressBarTestCaseAdapter.InternalTestRunListener

    public ProgressBarTestCaseAdapter.InternalTestRunListener()

Method Detail

### beforeRun

    public void beforeRun(TestRunner testRunner,
                          TestRunContext runContext)

  Specified by:
    `beforeRun` in interface `TestRunListener`

### beforeStep

    public void beforeStep(TestRunner testRunner,
                           TestRunContext runContext)

  Specified by:
    `beforeStep` in interface `TestRunListener`

### afterStep

    public void afterStep(TestRunner testRunner,
                          TestRunContext runContext,
                          TestStepResult result)

  Specified by:
    `afterStep` in interface `TestRunListener`

### afterRun

    public void afterRun(TestRunner testRunner,
                         TestRunContext runContext)

  Specified by:
    `afterRun` in interface `TestRunListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.